body {
    overscroll-behavior-y: auto;
    font-family: 'Roboto', sans-serif;
    background-color: #e9ecef;
    margin: 0;
}

.header {
    background-color: #343a40;
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

#welcome {
    color: white;
    font-size: 18px;
}

#icon img {
    width: 24px;
    /* filter: invert(100%) sepia(93%) saturate(2%) hue-rotate(193deg) brightness(106%) contrast(101%); */
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7298%) hue-rotate(77deg) brightness(131%) contrast(60%);
}

#icon img.loggedin {
    filter: invert(100%) sepia(93%) saturate(2%) hue-rotate(193deg) brightness(106%) contrast(101%);
    /* filter: brightness(0) saturate(100%) invert(59%) sepia(70%) saturate(2521%) hue-rotate(188deg) brightness(99%) contrast(105%); */
}

.content {
    padding: 20px;
}

.container {
    max-width: 600px;
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
}

.container:not(:last-of-type) {
    margin-bottom: 16px;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
    /* margin-top: 16px; */
}

li {
    padding: 8px;
    transition: background-color 0.3s;
}

li {
    background-color: #fdfdfd;
}

li:nth-of-type(2n) {
    background-color: #f0f1f1;
}

li:hover {
    background-color: #f1f1f1;
}

.overlay {
    position: fixed;
    /* Fix pozíció, hogy a viewport-hoz igazodjon */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    /* Fekete háttér, 50% átlátszósággal */
    z-index: 2;
    /* A modal alatt */
    display: none;
    /* Alapértelmezés szerint rejtve */
}

.overlay2 {
    position: fixed;
    /* Fix pozíció, hogy a viewport-hoz igazodjon */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    /* Fekete háttér, 50% átlátszósággal */
    z-index: 4;
    /* A modal alatt */
    display: none;
    /* Alapértelmezés szerint rejtve */
}

#login {
    position: absolute;
    top: 60px;
    /* bottom: 10px; */
    left: 10px;
    right: 10px;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 400px;
    margin: auto;
    display: none;
    z-index: 3;
}

#invalid-login {
    margin-top: 10px;
    margin-bottom: 10px;
    color: red;
    align-self: center;
}

#admin {
    margin-top: 15px;
    display: none;
    flex-direction: column;
    align-items: center;
}

#admin .panelbuttons button {
    font-size: 12px;
    align-self: center;
    padding: 5px;
    color: black;
    border: 1px solid black;
    border-radius: 4px;
    cursor: pointer;
}

.buttons {
    display: flex;
    flex-direction: row;
    width: 100%;
    /* justify-content: center; */
    height: 50px;
    justify-content: space-evenly;
}

.buttons .btn.logout {
    margin-top: 0px;
}

hr {
    width: 100%;
    margin: 30px 0 30px 0;
}

#admin li {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#admin #userlist {
    width: 100%;
}

#admin #text {
    font-size: 12px;
    color: #666;
}

#admin #userlistul button {
    font-size: 12px;
    /* width: 100%; */
    max-width: 120px;
    align-self: center;
    padding: 5px;
    color: black;
    border: 1px solid black;
    border-radius: 4px;
    cursor: pointer;
}

#admin #userlistul button:hover {
    background-color: #0056b3;
    color: white;
}

#admin #userlistul span {
    cursor: pointer;
}

#admin #userlistul span::before {
    content: "\270E ";
    /* Unicode karakter a korona ikonhoz */
    font-size: 1.2em;
    /* Méret beállítása */
    margin-right: 10px;
    color: #007bff;
}

#admin #userlistul span:hover {
    color: #007bff;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    font-size: 20px;
    color: #007bff;
}

#notloggedin h2 {
    margin-bottom: 16px;
}

h2 {
    margin-top: 0px;
    text-align: center;
    margin-bottom: 10px;
}

#loginForm {
    display: flex;
    flex-direction: column;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="text"],
input[type="password"] {
    /* width: calc(100% - 20px);  */
    width: 100%;
    /* 100% minus padding */
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    /* Ensures padding is included in width */
}

input[type="text"]:focus,
input[type="password"]:focus {
    border-color: #007bff;
    outline: none;
}

.btn {
    width: 100%;
    max-width: 120px;
    align-self: center;
    padding: 10px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

.btn:hover {
    background-color: #0056b3;
}

.minus {
    width: 50px;
    background-color: #dc3545;
    /* Piros háttér a - gombhoz */
}

.minus:hover {
    background-color: #c82333;
}

.plus {
    width: 50px;
    background-color: #007bff;
    /* Kék háttér a + gombhoz */
}

.plus:hover {
    background-color: #0056b3;
}

#panel {
    flex-direction: column;
    align-items: center;
}

#panel .button-container button {
    font-weight: normal;
    padding: 5px;
    /* width: 30px; */
    width: 40px;
    height: 40px;
    font-size: 1.2rem;
}

.button-container {
    /* border: 1px dotted black; */
    padding: 10px;
    min-width: 200px;
    text-align: center;
    display: flex;
}

.drinkicon {
    width: 50px;
}

#loggedin {
    display: none;
    justify-content: center;
}

#loggedinas.username {
    margin-top: 16px;
    margin-bottom: 16px;
}

.btn.red {
    background-color: #dc3545;
    color: white;
}

.btn.red:hover {
    background-color: #c82333;
}

.btn.logout {
    width: 100%;
    padding: 10px;
    background-color: #dc3545;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 10px;
}

.btn.logout:hover {
    background-color: #c82333;
}

#notloggedin {
    display: flex;
    align-items: center;
}

#scoreboard,
#panel,
#eventlist {
    display: none;
}

#eventlist {
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

#eventlistul {
    max-height: 300px;
    overflow: auto;
}

#eventlistul li.deleted {
    text-decoration: line-through;
}

#eventlistul li.hidden {
    display: none;
}

#eventlistul li {
    display: flex;
    align-items: center;
}

#eventlistul li .spanmessage {
    font-size: 0.9rem;
}

#eventlistul li .spandate {
    font-size: 0.7rem;
    color: #555555;
    min-width: 70px;
    max-width: 70px;
    text-align: center;
    border-right: 1px solid;
    margin-right: 5px;
}

#eventlistul li .spanspacer {
    margin-left: 5px;
    margin-right: 5px;
    font-size: 0.9rem;
}

.eventdialog p {
    margin: 0;
}

.eventdialog p.small {
    place-self: flex-end;
    font-size: 0.8rem;
    color: #555555;
}

.eventdialog .code {
    background-color: #f0f1f1;
    padding: 10px;
}

.eventdialog .deleted {
    margin-top: 10px;
    place-self: center;
    color: red;
    font-weight: bold;
}

.eventdialog .reset {
    background-color: #28a745;
    border-color: #28a745;
}

.eventdialog .buttons {
    margin-top: 20px;
}

.username {
    color: #49a1ff;
    /* color: #007bff; */
    font-weight: bold;
}

.my-list {
    list-style: none;
    /* Eltávolítja a lista alapértelmezett jelölését */
    padding: 0;
    /* Eltávolítja a belső margót */
}

.my-list li:first-child {
    position: relative;
    /* Pozicionálás a korona ikonhoz */
}

.my-list li:first-child::before {
    content: "\1F3C6";
    /* Unicode karakter a korona ikonhoz */
    font-size: 1.2em;
    /* Méret beállítása */
    margin-left: 0px;
    /* Helyet ad a bal oldalon az ikon és a szöveg között */
}

.my-list li:nth-child(2)::before {
    content: "\1F948";
    /* Unicode karakter a korona ikonhoz */
    font-size: 1.2em;
    /* Méret beállítása */
    margin-left: 0px;
    /* Helyet ad a bal oldalon az ikon és a szöveg között */
}

.my-list li:nth-child(3)::before {
    content: "\1F949";
    /* Unicode karakter a korona ikonhoz */
    font-size: 1.2em;
    /* Méret beállítása */
    margin-left: 0px;
    /* Helyet ad a bal oldalon az ikon és a szöveg között */
}

.stat {
    font-size: 2rem;
    min-height: 50px;
    width: 180px;
    border: 1px solid rgb(212, 212, 212);
    border-radius: 4px;
    margin-left: 15px;
    margin-right: 15px;
    /* padding: 30px; */
    /* padding-top: 15px;
    padding-bottom: 15px; */
    /* min-width: 140px; */
    display: flex;
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

.stathr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

footer {
    margin: 10px;
    text-align: center;
}

.footertext {
    /* position: absolute;
    bottom: 10px;
    width: 100%; */
    text-align: center;
    color: #BBB;
    font-size: 10px;
    margin-top: 16px;
}

.pull-to-refresh {
    position: fixed;
    top: -50px;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: top 0.7s ease-in-out;
    color: white;
}

.pull-to-refresh.visible {
    top: 0;
}

#editorModal {
    position: absolute;
    top: 60px;
    /* bottom: 10px; */
    left: 8px;
    right: 8px;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 420px;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 5;
    min-height: 150px;
    background-color: white;
}

#editorModal {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 300px;
    transform: translate(-50%, -50%);
    background-color: white;
    /* Változtasd meg a háttérszínt, ha szükséges */
    padding: 20px;
    /* Adj hozzá némi belső margót */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    /* Árnyék a modalnak */
    z-index: 5;
    /* Győződj meg róla, hogy a modal a többi elem felett jelenik meg */
}

#editorModal h2 {
    text-align: center;
    margin-bottom: 20px;
}

#editorModal .classrow {
    display: flex;
    align-items: center;
    font-size: 1.2rem;
    width: 240px;
    justify-content: space-between;
    margin-bottom: 10px;
}

/* #editorModal .classrow:nth-of-type(2n) {
    background-color: #f0f1f1;
} */

#editorModal input[type="number"] {
    width: 90px;
    /* height: 60px; */
    /* border-style: dotted; */
    border: none;
    justify-items: center;
    /* margin: 20px; */
    font-size: 1.2rem;
}

#editorModal input[type="password"] {
    margin-top: 5px;
    width: 40%;
}

.loader {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    z-index: 6;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.loader.active {
    opacity: 1;
}

.spinner {
    border: 8px solid #49a1ff;
    border-top: 8px solid white;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#imageupload {
    display: none;
    flex-direction: column;
    justify-content: center;
}

#imageupload form {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: center;
    /* padding: 20px; */
    /* border: 1px solid black; */
    margin-top: 20px;
    width: 80%;
}

#imageupload form label {
    width: 100%;
    max-width: 200px;
    text-align: center;
    align-self: center;
    padding: 10px;
    /* background-color: #007bff; */
    /* color: white; */
    border: 1px solid black;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

#imageupload form label:hover {
    background-color: #f0f1f1;
}

#imageupload form button {
    margin-top: 10px;
    margin-bottom: 10px;
}

#imageupload .success {
    color: green;

}

#imageupload .failure {
    color: red;
}

.galleryicon {
    position: absolute;
    top: 20px;
    right: 20px;
    height: 20px;
    border: none;
    border-radius: 5px;
    padding: 6px;
    background-color: #007bff;
    color: white;
    fill: wheat;
}

.galleryicon:hover {
    background-color: #0056b3;
}

#latest-images,
#users-latest-image {
    display: none;
    position: relative;
    justify-content: center;
    align-items: center;
}

#latest-images img:not(:last-of-type) {
    margin-bottom: 10px;
}

#latest-images h2,
#users-latest-image h2,
#login h2 {
    margin-bottom: 20px;
}

#latest-images div img {
    max-width: 100%;
    height: auto;
}


#latest-images div span {
    margin: 20px;
    text-align: center;
    font-size: 0.9rem;
}

#latest-images div,
#users-latest-image div {
    display: flex;
    flex-flow: column;
    width: 100%;
    justify-content: center;
    /* or other alignment properties */
    align-items: center;
}

#latest-images div:not(:last-of-type) {
    margin-bottom: 20px;
    border-bottom: 1px dotted black;
}

.deleteimageicon {
    width: 24px;
    position: absolute;
    right: 20%;
}

#last-image {
    width: 100%;
    height: auto;
}

.nodisplay {
    display: none;
}